<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


 /**
  * List, selection and new records in target table
  * 
  * This script lists query content and you can select rows. 
  * The row will be displayed in a form and you can edit quantity 
  * and other values. After submit, the row will be insert in the target table.
  *
  * @since      2010-02
  */

require_once 'common.php';

// New class
$art_sel = new Article_Select($use['db_e']);

$tbl_name = new Tbl_Name(); 
$src_tbl = $tbl_name->get_tbl_name('src_tbl');
$target_tbl = $tbl_name->get_tbl_name('target_tbl');

// in case of exchange set the id
if (isset($_GET['tausch']) and $_GET['tausch'] == 1) {
    $_SESSION['mat_id_tausch'] = $_GET['mat_id'];
}

// set value1 to null, if request new=1
if (isset ($_REQUEST['new'])) {
    unset($_SESSION['value1']);
}

$qry = new Query();
$go = new Go_Forward();

// Select deliverer
$art_sel->select_delivery_address();

// Select text blocks
$art_sel->select_text();


/**
 * Form after submit
 */
// Insert material
if (isset ($_POST['insert'])) {
    // Only for calculation
    if (isset($_REQUEST['kal_id']) and !empty($_REQUEST['kal_id'])) {
        $sql = "INSERT INTO $tbl_cal_tim (item, description, h_planned, id_tbl_hourly_rate)
                SELECT item, description, h_planned, id_tbl_hourly_rate
                FROM $tbl_cal_tim
                WHERE id_tbl_order_item = " . $_SESSION['ord_ite'];
        $db->do_sql($sql);
        
        $sql = "INSERT INTO $tbl_cal_fit (item, description, amount, id_tbl_unit, sales_price)
                SELECT item, description, amount, id_tbl_unit, sales_price
                FROM $tbl_cal_fit
                WHERE id_tbl_order_item = " . $_SESSION['ord_ite'];
        $db->do_sql($sql);
        $go->go_to_target($_SESSION['src_file']);
    }
    
    $in_arr = $db->insert_row($target_tbl);

     /**
      * Put position to all documents
      */
    if($target_tbl == $tbl_ord_ite) {
        $max_id = $db->get_max($target_tbl, 'id');
        $sql = "UPDATE $target_tbl
                SET
                offer = 1,
                order_conf = 1,
                delivery = 1,
                invoice = 1
                WHERE id = $max_id";
        $db->do_sql($sql);
     }
    $go->go_to_target($_SESSION['src_file']);
} // end form after submit

// insert client article
if (isset ($_REQUEST['eintrag3'])) {
    $target_tbl = $tbl_name->get_tbl_name('target_tbl');
    $in_arr = $db->make_array_for_sql($target_tbl);
    $db->insert_array($target_tbl, $in_arr);
    $go->go_to_target($_SESSION['src_file'], "kun_id=".$_SESSION['kun_id']);
}

/**
 *  Change material
 */
if (isset ($_POST['tausch3'])) {
    $target_tbl = $tbl_name->get_tbl_name('target_tbl');
    $arr5 = $db->make_array_for_sql($target_tbl);
    $db->update_array($target_tbl, $arr5, "id = ".$_SESSION['mat_id_tausch']);
    unset ($_SESSION['tausch']);
    $go->go_to_target($_SESSION['src_file']);
}
//------------------------- END DB --------------------------------------------


HTML::printHead($css);
HTML::printBody('such.value1');
HTML::printHeadline($headline);

require_once 'include/bar_common.inc.php';

if (isset ($_SESSION['results_page'])) {
    $_SESSION['limit'] = $_SESSION['results_page'];
}

$tblc = new Tbl();

// client article
$art_sel->print_link_new_client_article();

print '<div>';

/**
 * Change
 */
if(isset($_GET['tausch'])) {
    ?>
    <!--Filter-->
    <form method="post" name="such" action="article_select.php">
    <input type="hidden" name="column1" value="alle">
    <input type="hidden" name="src_file" value="<?php print $_SESSION['src_file']; ?>">
    <input type="hidden" name="item" value="<?php print $_REQUEST['item']; ?>">
    <input type="hidden" name="tausch" value="2">
    <input type="text" name="value1" size="18" value="">
    <input type="submit" name="search_button" value="<?php print $la_product_search_and_insert; ?>">
    </form>
    <?php
    exit('<p>' . $la_search_term_insert . '</p>');
}

print search_form($file);

/**
 * Fields
 */
$_SESSION['tbl'] = $_SESSION['src_tbl'];
$fields_for_query =  get_input_output_array('output');

$qry->set_fields($fields_for_query);

if(isset($_SESSION['value1'])) {
    $value1 = $_SESSION['value1'];
}else{
    $value1 = '';
}


// Initial session var if is'nt set
initial_var(array('value1'));


// Fields displayed in the form
$fields_article = array(
    'description',
    'sales_price',
    'id_tbl_unit',
    );


/**
 * src_tbl price
 */
if($_SESSION['src_tbl'] == 'pri')
{
    $table_or_relation = $rel_price_category_unit_address;
    $qry->set_table_or_relation($table_or_relation);
    $id_name_in_query_string = 'mat_id';
    $_SESSION['order'] = $la_price_id;
    $tblc->set_field_as_link($la_price_id);
    $id_name = add_table_name_to_id('pri.id', $table_or_relation);
    $tblc->set_id_field($la_price_id);
    #$tblc->set_id_field($la_id);
    // Add the field thickness
    $fields_article[] = 'description';
    $fields_article[] = 'thick';
    
    
/**
 * src_tbl public_price
 */
}elseif($_SESSION['src_tbl'] == 'pri_pub') {
    // Select price table: public or private
    $table_or_relation =  $rel_price_category_unit_public;
    $qry->set_table_or_relation($table_or_relation);
    $id_name_in_query_string = 'mat_id';
    $_SESSION['order'] = $la_price_id;
    $tblc->set_field_as_link($la_price_id);
    $id_name = add_table_name_to_id('pri.id', $table_or_relation);
    $tblc->set_id_field($la_price_id);
    #$tblc->set_id_field($la_id);
    // Add the field thickness
    $fields_article[] = 'description';
    $fields_article[] = 'thick';
   

/**
 * src table product
 */
}elseif($_SESSION['src_tbl'] == 'pro') {
    
    #$la_product_id = 
    $table_or_relation = $rel_product_category_unit;
    $_SESSION['order'] = $la_product_id;
    $id_name_in_query_string = 'mat_id';
    $tblc->set_field_as_link($la_product_id);
    $id_name = add_table_name_to_id('id', $table_or_relation);
    $tblc->set_id_field($la_product_id);
    $fields_article[] = 'description';


/**
 * src table order item
 */
}elseif($_SESSION['src_tbl'] == 'ord_ite') {
    $table_or_relation = $rel_auf_auf_pos_ein;
    $_SESSION['order'] = $la_order_pos_id;
    $id_name_in_query_string = 'mat_id';
    $tblc->set_field_as_link($la_order_pos_id);
    $tblc->set_id_field($la_order_pos_id);
    $fields_article[] = 'description';
 
   
/**
 * src table client-product
 */
}elseif($_SESSION['src_tbl'] == 'cli_pro') {
    $tblc->set_field_as_link($la_product_id);
    $tblc->set_id_field($la_product_id);
    $hide2 = " AND kuna.hide != 1 ";
    $where = " AND id_tbl_client = " . $_SESSION['kun_id'] . $hide2;
    $qry->set_query_string_where_and($where);
    $table_or_relation = $rel_client_product_product;
    $_SESSION['order'] = 'art.id';
    $id_name_in_query_string = 'mat_id';
    $fields_article[] = 'description';
}


$qry->set_order_field($_SESSION['order']);

/**
 *  Not client article
 */
$qry->set_table_or_relation($table_or_relation);
$qry->set_order_direction($_SESSION['order_dir']);
$query2 = $qry->make_search_string_from_input($_SESSION['value1']);
$qry->set_query_where_part($query2);
$query = $qry->get_query();

#-------------------------------
 #   echo $query;
#-------------------------------

print '<p>';

// Link back to calculation/order
if ($_SESSION['src_file'] == 'order_edit.php') {
    $back_to = $la_back_to_order;
}else{
    $back_to = $la_back_to_calc;
}
$link = new Link();
$link->set_class('bold');
print $link->make_link( PROJECT_HTTP_ROOT.$_SESSION['src_file'], $back_to);
print '</p>';

// Display tables
print '<p>';
print ' aus ' . $_SESSION['src_tbl'] . ' nach ' . $_SESSION['target_tbl'];
print '</p>';
print '</div>';

// hide dustbin
$tblc->hide_delete_link();
$tblc->set_limit(10);

// client_product
if ($_SESSION['target_tbl'] == 'cli_pro') {
    // change
    if ($_SESSION['modus'] == 'tausch') {
        $arr_qrystr = 'tausch3=1';

    // select
    }elseif($_SESSION['modus'] == 'eintrag') {
        $str = 'eintrag3=1&id_tbl_client='.$_SESSION['kun_id'];
        $arr_qrystr = array(
            'eintrag3' => 1,
            'id_tbl_client' => $_SESSION['kun_id'],
            );
        if (isset($_SESSION['dok'])) {
           $arr_qrystr['dok'] =  $_SESSION['dok'];

        }
        $tblc->set_col_value2($la_product_id);
    }
    $id_name_in_query_string = 'id_tbl_product';
    $tblc->set_link_queryarr($arr_qrystr);
}

$tblc->set_fields($fields_for_query);
$tblc->set_link_target('article_select.php');
$tblc->set_link_id_name_in_querystr($id_name_in_query_string);
$tblc->set_link_addition('_auswhlen');
$tblc->set_query($query);
$tblc->show_table();

/**
 *  After selection of row
 */
if (isset ($_GET['mat_id'])) {
    if ($_SESSION['src_tbl'] == 'cli_pro') {
        $src_tbl = $tbl_pro;
    }
    
    $row3 = $db->get_row_as_array($src_tbl, "id = ".$_SESSION['mat_id']);
    
    if (isset ($_SESSION['tausch']) and $_SESSION['tausch'] == 2) {
      print '<h4>Material tauschen</h4>';
    }
    // Form
    $art_sel->set_fields_form($fields_article);
    $art_sel->print_form_for_selected_row();
    
    
}else{
     print '<h1>' . $la_select . '</h1>';
}
HTML::printFoot();
?>