<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


/** 
  * Class for valid filenames
  *
  * @since 2012-10
  */
class Filename
{

    /**
     * Make from a string a valid filename
     * 
     * @param type $string
     * @param type $file_extension
     * @return string 
     */
    function clean_string_to_valid_filename($string, $file_extension='pdf') {
        // Replace forbidden charakters in filename
        $arr_replace = array( 
            '' => 'ae', 
            '' => 'oe', 
            '' => 'ue', 
            '' => 'ae', 
            '' => 'oe', 
            '' => 'ue', 
            '' => 'ss', 
            ' ' => '_', 
            '\\' => '-', 
            '/' => '_', 
            '|' => '_', 
            '.' => '_',
            '__' => '_',
            );
        $string = strtr( $string, $arr_replace );

        // Replace double __ with _
        $arr_replace = array( '__' => '_' );
        $string = strtr( $string, $arr_replace );

        /**
        * regular expression: 
        * only 0-9, a-z and _, anything else will be replaced with ''
        */
        $expr = '[^0-9a-z_]';
        $string = preg_replace($expr, '', $string);
        $string .= '.' . $file_extension;
        // end make f        
        return $string;
    }
}
?>