<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


/**
 * Class for showing database content in a table.
 * You can edit each record by pressing the ID.
 * This class will splitt the result to several sites with forward-
 * and back buttons (pagination)
 * 
 * You can set the number of rows on each site.
 *
 * This class requires:
 *    * a SESSION
 *    * the class Dbc
 *    * the class Link
 *
 * @since 2010-08
 *
 */
class Tbl_Checkbox extends Tbl 
{
    
/**
 * Show the whole table
 *
 * @global type $la_hidden
 * @global type $arr_salutation
 * @global type $la_row_edit
 * @global type $worker
 * @global type $adm
 * @global type $la_payed
 * @global type $la_delivered
 * @return type 
 */
function show_table()
{
    $this->set_limit_start();
    $this->set_rows_total();
    $this->show_table_head();

    global $la_hidden;
    ?>
    <script type="text/javascript">
        function highlight(obj)
        {
           if(obj.className == "row1" || obj.className == "row2" || obj.className == "")
              obj.className = "row";
           else
              obj.className = '';
        }
    </script>

    <?php
    if ($this->reduce_result == true) {
        $limit_start_limit = '';
    }else{
        $limit_start_limit = ' LIMIT ' . $this->limit_start . ',' .  $this->limit;
        
    }
    $this->query .= $limit_start_limit;

    $result_query = $this->query($this->query);
    $i_bg = 0;

    
    $iii = 1;
   // table content
   while ($row = $this->fetch_array($result_query, 'assoc')) {
        $i = 0;

        // display deleted records red
        $i_bg++;
        if (  (isset ($row[$this->deleted]) and $row[$this->deleted] == 1 )  ) {
                $this->set_row_color($row[$this->deleted] == 1);

        // all other records
        }else
            
            
            {
            if ($i_bg % 2 == 0) {
                $this->row_color = ' class="row1"';
            }else{
                $this->row_color = ' class="row2"';
            }
        }
        
        
        // Highlight row
        print "<tr $this->row_color>\n";
        
        // Checkbox
        print '<td align="center">';
        $html = new Html_Element();
        print $html->html_checkbox(1, 'check'.$row['ID'], 1);
        
        print '</td>';
        // rows
        foreach ($row as $col => $value) {
           if ($col != $la_hidden and $col != $this->unset_column) {

                // align content
                $field_type = $this->get_field_type($result_query, $i);
                $this->set_td_align($field_type);

                // start cell
                print '<td ' . $this->td_align . ' title="' . $value . '">';

                
                if ($col == $this->id_field) {
                    $id2 = $row[$this->id_field];
                }

                print   $value;
                
                print "</td>\n";
           } // end not deleted
           
            $i++;
        } // end foreach
        

        print "\n</tr>\n";
        
      // return the amount of the fields
      #$this->print_sum_row($row, $this->query, $iii);
      #$iii++;
    } // end while

    // if limit > 20, display navigation also at the bottom
    if ($this->limit > $this->pagination_bottom) {
         $this->pagination();
    }
    print '</table>';
}


/**
 * Creates table head with headlines
 *
 * @global type $la_hidden
 * @global type $la_order 
 */
function show_table_head() 
{
    if ($this->number_of_rows_all > 0) {
        
        $query = $this->query . ' LIMIT 1';
        print '</div>';
        ?>
        <style type="text/css">
            .row1{ background-color: #E3E3E3; }
            .row2{ background-color: #F3F3F3; }
        </style>
        <?php
        print "\n" . '<table style="width:60%; margin-left:auto; margin-right: auto;">';

        print '<tr>';
        $k = 0;
            $row = array(
                'Pos auswhlen',
                'id',
                'Pos',
                'Gegenstand',
            );
            foreach ($row as $value) {
                    print '<th>';
                    print $value;
                    print "</th>\n";
                    $k++;
            } // end foreach

        print '</tr>';
    }
}



} // end class